"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toDate = void 0;
const utc_1 = require("@date-fns/utc");
const runtime_1 = require("../runtime");
const utils_1 = require("../utils");
const toDate = (value) => {
    const date = !value
        ? new utc_1.UTCDate()
        : (0, utils_1.isNumber)(value)
            ? new utc_1.UTCDate(Number(value))
            : (0, utils_1.isNumberString)(value)
                ? new utc_1.UTCDate(Number(value))
                : new utc_1.UTCDate(value);
    if (Number.isNaN(date.getTime())) {
        const error = new Error('INVALID_DATE', {
            cause: {
                value
            }
        });
        runtime_1.context.errors.push(error);
    }
    return date;
};
exports.toDate = toDate;
//# sourceMappingURL=to-date.js.map