"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackage = void 0;
const node_path_1 = require("node:path");
const node_fs_1 = require("node:fs");
const getPackage = () => {
    const roots = module.paths.map(root => (0, node_path_1.join)(root, '..', 'package.json'));
    const foundPackageJson = roots.find(root => {
        try {
            if (!(0, node_fs_1.statSync)(root).isFile()) {
                return false;
            }
            return true;
        }
        catch {
            return false;
        }
    });
    if (!foundPackageJson) {
        throw new Error(`Failed to find package.json in: ${process.cwd()}`);
    }
    const contents = (0, node_fs_1.readFileSync)(foundPackageJson, {
        encoding: 'utf8'
    });
    return JSON.parse(contents);
};
exports.getPackage = getPackage;
//# sourceMappingURL=get-package.js.map